<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} 

do_action( 'woocommerce_email_header', $email_heading, $email );  ?>

	<p><?php printf( __( 'The order #%d has electronic receipt. Order Details:', 'woocommerce' ), $order->get_order_number() ); ?></p>

<?php

 $data = get_post_meta( $order->id, 'OperationElectronicDataReceipt', true );
  ?>
<p><?php  
	
	$data =str_replace("T	N H","<br/>",$data); 
	$data =str_replace("T	B H","<br/>",$data); 
	$data =str_replace("T	N B","<br/>",$data); 
	$data =str_replace("T	B B","<br/>",$data); 
	$data =str_replace("T	N P","<br/>",$data); 
	$data =str_replace("T	B F","<br/>",$data); 
	$data =str_replace("T	N A","<br/>",$data); 
	$data =str_replace("T	N D","<br/>",$data); 
	$data =str_replace("T	N Q","<br/>",$data); 
	$data =str_replace("Q	B T","<br/>",$data); 
	$data =str_replace("T	N Y","<br/>",$data);
	$data =str_replace("T	N S","<br/>",$data);
	$data =str_replace("Q	B T","<br/>",$data);
	
echo "=================================";
 echo $data;?> </p>

<?php 

	$qrcode = get_post_meta( $order->id, 'OperationElectronicDataQrCode', true ); 

	$fileName ="qrcodeTest2.png";
        $pngAbsoluteFilePath = CUSTOM_WC_EMAIL_PATH  . '/temp' ;
        $filePath = $pngAbsoluteFilePath."/".$fileName;

        if(is_dir($pngAbsoluteFilePath) == FALSE)
	{
		if (mkdir($pngAbsoluteFilePath,0777,true) === FALSE)
		{
			echo "Failed to create folder for images";
		}
	}

    	QRCode::png($qrcode, $filePath);
        

	echo '<img src="data:image/png;base64,<?php echo base64_encode($qrImage) ?>" />';?>

	

<?php

do_action( 'woocommerce_email_footer', $email );


